Bug 1213140 - [abrt] geany: g_source_unref_internal(): geany killed by SIGSEGV
Summary: [abrt] geany: g_source_unref_internal(): geany killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: geany
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josef Bacik
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:72d3c3ee29280953f26d85a2738...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-19 11:03 UTC by Andrea Oliveri
Modified: 2016-08-01 16:22 UTC (History)
3 users (show)

Fixed In Version: geany-1.28-2.fc24 geany-1.28-2.fc23 geany-1.28-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-12 20:25:38 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (21.90 KB, text/plain)
2015-04-19 11:03 UTC, Andrea Oliveri
no flags Details
File: cgroup (190 bytes, text/plain)
2015-04-19 11:03 UTC, Andrea Oliveri
no flags Details
File: core_backtrace (6.04 KB, text/plain)
2015-04-19 11:03 UTC, Andrea Oliveri
no flags Details
File: dso_list (10.92 KB, text/plain)
2015-04-19 11:03 UTC, Andrea Oliveri
no flags Details
File: environ (1.80 KB, text/plain)
2015-04-19 11:03 UTC, Andrea Oliveri
no flags Details
File: limits (1.29 KB, text/plain)
2015-04-19 11:03 UTC, Andrea Oliveri
no flags Details
File: maps (53.19 KB, text/plain)
2015-04-19 11:03 UTC, Andrea Oliveri
no flags Details
File: mountinfo (3.67 KB, text/plain)
2015-04-19 11:03 UTC, Andrea Oliveri
no flags Details
File: namespaces (85 bytes, text/plain)
2015-04-19 11:04 UTC, Andrea Oliveri
no flags Details
File: open_fds (950 bytes, text/plain)
2015-04-19 11:04 UTC, Andrea Oliveri
no flags Details
File: proc_pid_status (959 bytes, text/plain)
2015-04-19 11:04 UTC, Andrea Oliveri
no flags Details
File: var_log_messages (594 bytes, text/plain)
2015-04-19 11:04 UTC, Andrea Oliveri
no flags Details

Description Andrea Oliveri 2015-04-19 11:03:44 UTC
Version-Release number of selected component:
geany-1.24.1-3.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        geany
crash_function: g_source_unref_internal
executable:     /usr/bin/geany
global_pid:     3724
kernel:         4.0.0-1.fc22.x86_64+debug
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 g_source_unref_internal at gmain.c:2012
 #5 gtk_main at gtkmain.c:1268

Comment 1 Andrea Oliveri 2015-04-19 11:03:47 UTC
Created attachment 1016042 [details]
File: backtrace

Comment 2 Andrea Oliveri 2015-04-19 11:03:49 UTC
Created attachment 1016043 [details]
File: cgroup

Comment 3 Andrea Oliveri 2015-04-19 11:03:50 UTC
Created attachment 1016045 [details]
File: core_backtrace

Comment 4 Andrea Oliveri 2015-04-19 11:03:52 UTC
Created attachment 1016048 [details]
File: dso_list

Comment 5 Andrea Oliveri 2015-04-19 11:03:53 UTC
Created attachment 1016049 [details]
File: environ

Comment 6 Andrea Oliveri 2015-04-19 11:03:55 UTC
Created attachment 1016051 [details]
File: limits

Comment 7 Andrea Oliveri 2015-04-19 11:03:57 UTC
Created attachment 1016053 [details]
File: maps

Comment 8 Andrea Oliveri 2015-04-19 11:03:59 UTC
Created attachment 1016054 [details]
File: mountinfo

Comment 9 Andrea Oliveri 2015-04-19 11:04:00 UTC
Created attachment 1016055 [details]
File: namespaces

Comment 10 Andrea Oliveri 2015-04-19 11:04:01 UTC
Created attachment 1016056 [details]
File: open_fds

Comment 11 Andrea Oliveri 2015-04-19 11:04:03 UTC
Created attachment 1016057 [details]
File: proc_pid_status

Comment 12 Andrea Oliveri 2015-04-19 11:04:04 UTC
Created attachment 1016058 [details]
File: var_log_messages

Comment 13 Fedora Update System 2016-07-11 10:57:10 UTC
geany-1.28-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bc288ce5ae

Comment 14 Fedora Update System 2016-07-11 10:57:47 UTC
geany-1.28-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2bdc17945b

Comment 15 Fedora Update System 2016-07-11 10:58:13 UTC
geany-1.28-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0953f0b536

Comment 16 Fedora Update System 2016-07-11 10:58:41 UTC
geany-1.28-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d68edce8de

Comment 17 Fedora Update System 2016-07-12 02:53:50 UTC
geany-1.28-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0953f0b536

Comment 18 Fedora Update System 2016-07-12 03:27:10 UTC
geany-1.28-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d68edce8de

Comment 19 Fedora Update System 2016-07-12 03:55:09 UTC
geany-1.28-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bc288ce5ae

Comment 20 Fedora Update System 2016-07-12 03:58:48 UTC
geany-1.28-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2bdc17945b

Comment 21 Fedora Update System 2016-07-12 20:25:16 UTC
geany-1.28-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-07-19 22:22:04 UTC
geany-1.28-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-08-01 16:22:03 UTC
geany-1.28-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.